MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023459Open CASCADE[OCCT] OCCT:Samplespublic2012-10-03 11:342014-01-11 12:06
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023459: Update QT samples
DescriptionUpdate QT samples for current state of OCCT
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023821closedbugmaster Open CASCADE Improve qmake project files for Qt samples 

-  Notes
(0021654)
san (developer)
2012-10-04 12:07

Dear bugmaster,

OCCT Qt sample still relies on Qt3Support layer of Qt 4. Is it possible to build Qt 4.x without Qt3 support and correct the sample accordingly? There are not really a lot of changes required, mostly some signal/slot names need to be changed, corresponding Qt messages are printed in the console.
(0024948)
abv (manager)
2013-07-03 09:18

I believe now we must consider porting to Qt 5 rather than (or in addition to) 4.
See http://www.opencascade.org/org/forum/thread_25021 [^]
(0025579)
abv (manager)
2013-09-14 17:57

Remark on branch CR23459: please revert changes in samples/qt/Interface/src/Translate.cxx: instead if handling FSD_File by pointer (which would lead to memory leak), just remove 'static' before the declaration.
(0025781)
vdn (developer)
2013-09-27 17:35

Please, review
(0025787)
abv (manager)
2013-09-27 18:36

No remarks, please test
(0025862)
apn (administrator)
2013-10-03 11:06

Tested

- Related Changesets
occt: master 3cb77da4
Timestamp: 2013-10-03 10:26:39
Author: vdn
Committer: bugmaster
Details ] Diff ]
0023459: Update QT samples

Removing Qt3Support layer of Qt 4
Changed all files for Qt4 and added file VoxelDemo.pro
Removed 'static' before the declaration of handling FSD_File.
mod - samples/qt/Common/src/ApplicationCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]
mod - samples/qt/IESample/IESample.pro Diff ] File ]
mod - samples/qt/Interface/src/Application.cxx Diff ] File ]
mod - samples/qt/Interface/src/Translate.cxx Diff ] File ]
mod - samples/qt/Tutorial/src/ApplicationTut.cxx Diff ] File ]
mod - samples/qt/Tutorial/Tutorial-vc9.sln Diff ] File ]
mod - samples/qt/Tutorial/Tutorial.pro Diff ] File ]
add - samples/qt/VoxelDemo/VoxelDemo.pro Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-10-03 11:34 bugmaster New Issue
2012-10-03 11:34 bugmaster Assigned To => bugmaster
2012-10-03 11:35 bugmaster Status new => assigned
2012-10-04 12:07 san Note Added: 0021654
2012-10-04 12:07 san Relationship added related to 0023460
2012-10-04 14:38 bugmaster Project OCCT => Open CASCADE
2012-10-24 17:13 abv Target Version => 6.6.0
2013-03-02 10:34 abv Target Version 6.6.0 => 6.7.0
2013-03-07 18:52 san Relationship added related to 0023821
2013-07-03 09:18 abv Note Added: 0024948
2013-09-06 16:34 abv Assigned To bugmaster => vdn
2013-09-14 17:57 abv Note Added: 0025579
2013-09-27 17:34 vdn Assigned To vdn => bugmaster
2013-09-27 17:34 vdn Assigned To bugmaster => szv
2013-09-27 17:34 vdn Note Added: 0025780
2013-09-27 17:35 vdn Note Added: 0025781
2013-09-27 17:35 vdn Status assigned => resolved
2013-09-27 17:35 vdn Note Deleted: 0025780
2013-09-27 18:34 abv Assigned To szv => abv
2013-09-27 18:34 abv Summary Update QT samples for OCCT 6.5.4 => Update QT samples
2013-09-27 18:36 abv Note Added: 0025787
2013-09-27 18:36 abv Assigned To abv => bugmaster
2013-09-27 18:36 abv Status resolved => reviewed
2013-10-01 13:21 bugmaster Assigned To bugmaster => apn
2013-10-03 11:06 apn Note Added: 0025862
2013-10-03 11:06 apn Test case number => Not needed
2013-10-03 11:06 apn Assigned To apn => bugmaster
2013-10-03 11:06 apn Status reviewed => tested
2013-10-04 12:48 bugmaster Changeset attached => occt master 3cb77da4
2013-10-04 12:48 bugmaster Status tested => verified
2013-10-04 12:48 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0
2014-01-11 12:06 abv Category OCCT Release:QT => OCCT:Samples


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker